﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace TileViewPositionExample
{
	public class TileViewItemViewModel : INotifyPropertyChanged
	{
		private int position = 0;
		private bool isVisible = true;

		public string Header { get; set; }
	
		public int Position
		{
			get { return position; }
			set
			{
				if (position != value)
				{
					position = value;
					OnPropertyChanged("Position");
				}
			}
		}

		public bool IsVisible
		{
			get
			{
				return this.isVisible;
			}
			set
			{
				if (isVisible != value)
				{
					isVisible = value;
					OnPropertyChanged("IsVisible");
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
